# Class Log4JEntry

java.lang.Object
org.apache.zookeeper.graph.LogEntry
org.apache.zookeeper.graph.Log4JEntry

All Implemented Interfaces:
  `Serializable`

public class Log4JEntry extends LogEntry

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class LogEntry

`LogEntry.Type`

## Constructor Summary

Constructors
Constructor
Description
`Log4JEntry(long timestamp, int node, String entry)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEntry()`
`int`
`getNode()`
`LogEntry.Type`
`getType()`
`String`
`toString()`

### Methods inherited from class LogEntry

`getAttribute, getTimestamp, setAttribute`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Log4JEntry

public Log4JEntry(long timestamp, int node, String entry)

## Method Details

### getEntry

public String getEntry()

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getNode

public int getNode()

### getType

public LogEntry.Type getType()

Specified by:
  `getType` in class `LogEntry`